## ros-rolling-joint-trajectory-controller 2.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(joint_trajectory_controller)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra)
endif()

find_package(ament_cmake REQUIRED)
find_package(angles REQUIRED)
find_package(controller_interface REQUIRED)
find_package(control_msgs REQUIRED)
find_package(control_toolbox REQUIRED)
find_package(hardware_interface REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_lifecycle REQUIRED)
find_package(realtime_tools REQUIRED)
find_package(trajectory_msgs REQUIRED)

add_library(joint_trajectory_controller SHARED
  src/joint_trajectory_controller.cpp
  src/trajectory.cpp
)
target_include_directories(joint_trajectory_controller PRIVATE include)
ament_target_dependencies(joint_trajectory_controller
  angles
  builtin_interfaces
  controller_interface
  control_msgs
  control_toolbox
  hardware_interface
  pluginlib
  rclcpp
  rclcpp_lifecycle
  realtime_tools
  trajectory_msgs
)
# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(joint_trajectory_controller PRIVATE "JOINT_TRAJECTORY_CONTROLLER_BUILDING_DLL" "_USE_MATH_DEFINES")
pluginlib_export_plugin_description_file(controller_interface joint_trajectory_plugin.xml)

install(DIRECTORY include/
  DESTINATION include
)

install(TARGETS joint_trajectory_controller
  RUNTIME DESTINATION bin
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
)

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  find_package(controller_manager REQUIRED)
  find_package(ros2_control_test_assets REQUIRED)

  ament_add_gtest(test_trajectory test/test_trajectory.cpp)
  target_include_directories(test_trajectory PRIVATE include)
  target_link_libraries(test_trajectory joint_trajectory_controller)

  ament_add_gtest(test_trajectory_controller
    test/test_trajectory_controller.cpp
    ENV config_file=${CMAKE_CURRENT_SOURCE_DIR}/test/config/test_joint_trajectory_controller.yaml)
  set_tests_properties(test_trajectory_controller PROPERTIES TIMEOUT 220)
  target_include_directories(test_trajectory_controller PRIVATE include)
  target_link_libraries(test_trajectory_controller
    joint_trajectory_controller
  )
  ament_target_dependencies(test_trajectory_controller
    control_msgs
    hardware_interface
    rclcpp
    rclcpp_lifecycle
    realtime_tools
    ros2_control_test_assets
    trajectory_msgs
  )

  ament_add_gtest(
    test_load_joint_trajectory_controller
    test/test_load_joint_trajectory_controller.cpp
  )
  target_include_directories(test_load_joint_trajectory_controller PRIVATE include)
  ament_target_dependencies(test_load_joint_trajectory_controller
    controller_manager
    realtime_tools
    ros2_control_test_assets
  )

  ament_add_gtest(
    test_trajectory_actions
    test/test_trajectory_actions.cpp
  )
  target_include_directories(test_trajectory_actions PRIVATE include)
  target_link_libraries(test_trajectory_actions
    joint_trajectory_controller
  )
  ament_target_dependencies(test_trajectory_actions
    control_msgs
    hardware_interface
    rclcpp
    rclcpp_lifecycle
    ros2_control_test_assets
    trajectory_msgs
    realtime_tools
  )
endif()

ament_export_dependencies(
  controller_interface
  control_msgs
  hardware_interface
  rclcpp
  rclcpp_lifecycle
  trajectory_msgs
)
ament_export_include_directories(
  include
)
ament_export_libraries(
  joint_trajectory_controller
)
ament_package()

=== debian/changelog ===
ros-rolling-joint-trajectory-controller (2.0.1-1focal) focal; urgency=high

  * Fix missing control_toolbox dependency (#291 <https://github.com/ros-controls/ros2_controllers/issues/291>)
  * Contributors: Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 01 Feb 2022 00:00:00 -0000

ros-rolling-joint-trajectory-controller (2.0.0-1focal) focal; urgency=high

  * [JointTrajectoryController] Add velocity-only command option for JTC with closed loop controller (#239 <https://github.com/ros-controls/ros2_controllers/issues/239>)
    * Add velocity pid support.
    * Remove incorrect init test for only velocity command interface.
    * Add clarification comments for pid aux variables. Adapt update loop.
    * Change dt for pid to appropriate measure.
    * Improve partial commands for velocity-only mode.
    * Extend tests to use velocity-only mode.
    * Increase timeout for velocity-only mode parametrized tests.
    * add is_same_sign for better refactor
    * refactor boolean logic
    * set velocity to 0.0 on deactivate
  * Contributors: Lovro Ivanov, Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 28 Jan 2022 00:00:00 -0000

ros-rolling-joint-trajectory-controller (1.3.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 11 Jan 2022 00:00:00 -0000

ros-rolling-joint-trajectory-controller (1.2.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 29 Dec 2021 00:00:00 -0000

ros-rolling-joint-trajectory-controller (1.1.0-1focal) focal; urgency=high

  * Move interface sorting into ControllerInterface (#259 <https://github.com/ros-controls/ros2_controllers/issues/259>)
  * Revise for-loop style (#254 <https://github.com/ros-controls/ros2_controllers/issues/254>)
  * Contributors: bailaC

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 24 Oct 2021 23:00:00 -0000

ros-rolling-joint-trajectory-controller (1.0.0-1focal) focal; urgency=high

  * Remove compile warnings. (#245 <https://github.com/ros-controls/ros2_controllers/issues/245>)
  * Add time and period to update function (#241 <https://github.com/ros-controls/ros2_controllers/issues/241>)
  * Quickfix 🛠: Correct confusing variable name (#240 <https://github.com/ros-controls/ros2_controllers/issues/240>)
  * Unify style of controllers. (#236 <https://github.com/ros-controls/ros2_controllers/issues/236>)
  * Change test to work with Foxy and posterior action API (#237 <https://github.com/ros-controls/ros2_controllers/issues/237>)
  * ros2_controllers code changes to support ros2_controls issue #489 <https://github.com/ros-controls/ros2_controllers/issues/489> (#233 <https://github.com/ros-controls/ros2_controllers/issues/233>)
  * Removing Boost from controllers. (#235 <https://github.com/ros-controls/ros2_controllers/issues/235>)
  * refactor get_current_state to get_state (#232 <https://github.com/ros-controls/ros2_controllers/issues/232>)
  * Contributors: Bence Magyar, Denis Štogl, Márk Szitanics, Tyler Weaver, bailaC

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 28 Sep 2021 23:00:00 -0000

ros-rolling-joint-trajectory-controller (0.5.0-1focal) focal; urgency=high

  * Add auto declaration of parameters. (#224 <https://github.com/ros-controls/ros2_controllers/issues/224>)
  * Bring precommit config up to speed with ros2_control (#227 <https://github.com/ros-controls/ros2_controllers/issues/227>)
  * Add initial pre-commit setup. (#220 <https://github.com/ros-controls/ros2_controllers/issues/220>)
  * Enable JTC for hardware having offset from state measurements (#189 <https://github.com/ros-controls/ros2_controllers/issues/189>)
    * Avoid "jumps" with states that have tracking error. All test are passing but separatelly. Is there some kind of timeout?
    * Remove allow_integration_flag
    * Add reading from command interfaces when restarting controller
  * Reduce docs warnings and correct adding guidelines (#219 <https://github.com/ros-controls/ros2_controllers/issues/219>)
  * Contributors: Bence Magyar, Denis Štogl, Lovro Ivanov

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 29 Aug 2021 23:00:00 -0000

ros-rolling-joint-trajectory-controller (0.4.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 07 Jul 2021 23:00:00 -0000

ros-rolling-joint-trajectory-controller (0.4.0-1focal) focal; urgency=high

  * Force torque sensor broadcaster (#152 <https://github.com/ros-controls/ros2_controllers/issues/152>)
    * Stabilize joint_trajectory_controller tests
    * Add  rclcpp::shutdown(); to all standalone test functions
  * Fixes for Windows (#205 <https://github.com/ros-controls/ros2_controllers/issues/205>)
    * Export protected joint trajectory controller functions
  * Fix deprecation warnings on Rolling, remove rcutils dependency (#204 <https://github.com/ros-controls/ros2_controllers/issues/204>)
  * Fix parameter initialisation for galactic (#199 <https://github.com/ros-controls/ros2_controllers/issues/199>)
    * Fix parameter initialisation for galactic
    * Fix forward_command_controller the same way
    * Fix other compiler warnings
    * Missing space
  * Fix rolling build (#200 <https://github.com/ros-controls/ros2_controllers/issues/200>)
    * Fix rolling build
    * Stick to printf style
    * Add back :: around interface type
    Co-authored-by: Bence Magyar <mailto:bence.magyar.robotics@gmail.com>
  * Contributors: Akash, Bence Magyar, Denis Štogl, Tim Clephas, Vatan Aksoy Tezer

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 27 Jun 2021 23:00:00 -0000

ros-rolling-joint-trajectory-controller (0.3.1-1focal) focal; urgency=high

  * Reset external trajectory message upon activation (#185 <https://github.com/ros-controls/ros2_controllers/issues/185>)
    * Reset external trajectory message to prevent preserving the old goal on systems with hardware offsets


=== debian/control ===
Source: ros-rolling-joint-trajectory-controller
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest, ros-rolling-angles, ros-rolling-control-msgs, ros-rolling-control-toolbox, ros-rolling-controller-interface, ros-rolling-controller-manager, ros-rolling-hardware-interface, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-rclcpp-lifecycle, ros-rolling-realtime-tools, ros-rolling-ros2-control-test-assets, ros-rolling-trajectory-msgs, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-joint-trajectory-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-angles, ros-rolling-control-msgs, ros-rolling-control-toolbox, ros-rolling-controller-interface, ros-rolling-hardware-interface, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-rclcpp-lifecycle, ros-rolling-realtime-tools, ros-rolling-trajectory-msgs, ros-rolling-ros-workspace
Description: Controller for executing joint-space trajectories on a group of joints

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-joint-trajectory-controller//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-joint-trajectory-controller 3.15.0

=== debian/changelog ===
ros-rolling-joint-trajectory-controller (3.15.0-1jammy) jammy; urgency=high

  * [JTC] Make most parameters read-only (#771 <https://github.com/ros-controls/ros2_controllers/issues/771>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 10 Sep 2023 23:00:00 -0000

ros-rolling-joint-trajectory-controller (3.14.0-1jammy) jammy; urgency=high

  * [JTC] Tolerance tests + Hold on time violation (#613 <https://github.com/ros-controls/ros2_controllers/issues/613>)
    * Add new test to ensure that controller goes into position holding when tolerances are violated
    * Hold position if goal_time is exceeded with topic interface
    * Fix hold on time-violation
  * [JTC] Fix typos, implicit cast, const member functions (#748 <https://github.com/ros-controls/ros2_controllers/issues/748>)
  * Remove wrong description (#742 <https://github.com/ros-controls/ros2_controllers/issues/742>)
  * [JTC] Explicitly set hold position (#558 <https://github.com/ros-controls/ros2_controllers/issues/558>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 15 Aug 2023 23:00:00 -0000

ros-rolling-joint-trajectory-controller (3.13.0-1jammy) jammy; urgency=high

  * Small improvement in remapping (#393 <https://github.com/ros-controls/ros2_controllers/issues/393>)
  * [JTC] Update trajectory documentation (#714 <https://github.com/ros-controls/ros2_controllers/issues/714>)
  * [JTC] Reject messages with effort fields (#699 <https://github.com/ros-controls/ros2_controllers/issues/699>) (#719 <https://github.com/ros-controls/ros2_controllers/issues/719>)
  * [Doc] Fix links (#715 <https://github.com/ros-controls/ros2_controllers/issues/715>)
  * Contributors: Andy Zelenak, Bence Magyar, Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 03 Aug 2023 23:00:00 -0000

ros-rolling-joint-trajectory-controller (3.12.0-1jammy) jammy; urgency=high

  * Remove reactivation test from ROS 1
  * Don't test update after cleanup
  * Fix namespace for parameter traits(#703 <https://github.com/ros-controls/ros2_controllers/issues/703>)
  * Fixed update period computation in test (#693 <https://github.com/ros-controls/ros2_controllers/issues/693>)
  * [JTC] Reject trajectories with nonzero terminal velocity (#567 <https://github.com/ros-controls/ros2_controllers/issues/567>)
  * Compute velocity errors when using an effort command interface (#679 <https://github.com/ros-controls/ros2_controllers/issues/679>)
  * Add test for velocity error with effort cmd interface (#690 <https://github.com/ros-controls/ros2_controllers/issues/690>)
  * Revert "[JTC] Command final waypoint identically when traj_point_active_ptr_ is nullptr (#682 <https://github.com/ros-controls/ros2_controllers/issues/682>)"
  * [JTC] Fix time sources and wrong checks in tests (#686 <https://github.com/ros-controls/ros2_controllers/issues/686>)
  * Increase action tests timeout (#680 <https://github.com/ros-controls/ros2_controllers/issues/680>)
  * [JTC] Extend tests (#612 <https://github.com/ros-controls/ros2_controllers/issues/612>)
  * [JTC] Command final waypoint identically when traj_point_active_ptr_ is nullptr (#682 <https://github.com/ros-controls/ros2_controllers/issues/682>)
  * Contributors: Christoph Fröhlich, Ethan Gordon, Lars Tingelstad, gwalck, Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 17 Jul 2023 23:00:00 -0000

ros-rolling-joint-trajectory-controller (3.11.0-1jammy) jammy; urgency=high

  * jtc: fix minor typo in traj validation error msg (#674 <https://github.com/ros-controls/ros2_controllers/issues/674>)
  * Added -Wconversion flag and fix warnings (#667 <https://github.com/ros-controls/ros2_controllers/issues/667>)
  * Contributors: G.A. vd. Hoorn, gwalck

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 23 Jun 2023 23:00:00 -0000

ros-rolling-joint-trajectory-controller (3.10.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 05 Jun 2023 23:00:00 -0000

ros-rolling-joint-trajectory-controller (3.10.0-1jammy) jammy; urgency=high

  * enable ReflowComments to also use ColumnLimit on comments (#625 <https://github.com/ros-controls/ros2_controllers/issues/625>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 03 Jun 2023 23:00:00 -0000

ros-rolling-joint-trajectory-controller (3.9.0-1jammy) jammy; urgency=high

  * Use branch name substitution for all links (#618 <https://github.com/ros-controls/ros2_controllers/issues/618>)
  * [JTC] Fix deprecated header (#610 <https://github.com/ros-controls/ros2_controllers/issues/610>)
  * Fix github links on control.ros.org (#604 <https://github.com/ros-controls/ros2_controllers/issues/604>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 27 May 2023 23:00:00 -0000

ros-rolling-joint-trajectory-controller (3.8.0-1jammy) jammy; urgency=high

  * [JTC] Import docs from wiki.ros.org (#566 <https://github.com/ros-controls/ros2_controllers/issues/566>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 13 May 2023 23:00:00 -0000

ros-rolling-joint-trajectory-controller (3.7.0-1jammy) jammy; urgency=high

  * Fix JTC from immediately returning success (#565 <https://github.com/ros-controls/ros2_controllers/issues/565>)
  * Contributors: Marq Rasmussen

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 01 May 2023 23:00:00 -0000

ros-rolling-joint-trajectory-controller (3.6.0-1jammy) jammy; urgency=high

  * Renovate load controller tests (#569 <https://github.com/ros-controls/ros2_controllers/issues/569>)
  * Fix docs format (#589 <https://github.com/ros-controls/ros2_controllers/issues/589>)
  * [JTC] Implement new ~/controller_state message (#557 <https://github.com/ros-controls/ros2_controllers/issues/557>)
  * Contributors: Bence Magyar, Christoph Fröhlich



=== debian/control ===
Source: ros-rolling-joint-trajectory-controller
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gmock <!nocheck>, ros-rolling-angles, ros-rolling-backward-ros, ros-rolling-control-msgs, ros-rolling-control-toolbox, ros-rolling-controller-interface, ros-rolling-controller-manager <!nocheck>, ros-rolling-generate-parameter-library, ros-rolling-hardware-interface, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-rclcpp-lifecycle, ros-rolling-realtime-tools, ros-rolling-ros2-control-test-assets <!nocheck>, ros-rolling-rsl, ros-rolling-tl-expected, ros-rolling-trajectory-msgs, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-joint-trajectory-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-angles, ros-rolling-backward-ros, ros-rolling-control-msgs, ros-rolling-control-toolbox, ros-rolling-controller-interface, ros-rolling-generate-parameter-library, ros-rolling-hardware-interface, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-rclcpp-lifecycle, ros-rolling-realtime-tools, ros-rolling-rsl, ros-rolling-tl-expected, ros-rolling-trajectory-msgs, ros-rolling-ros-workspace
Description: Controller for executing joint-space trajectories on a group of joints

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
